package hypr

import "encoding/json"

type Monitor struct {
	ID               int            `json:"id"`
	Name             string         `json:"name"`
	Description      string         `json:"description"`
	Make             string         `json:"make"`
	Model            string         `json:"model"`
	Serial           string         `json:"serial"`
	Width            int            `json:"width"`
	Height           int            `json:"height"`
	RefreshRate      float64        `json:"refreshRate"`
	X                int            `json:"x"`
	Y                int            `json:"y"`
	ActiveWorkspace  WorkspaceIdent `json:"activeWorkspace"`
	SpecialWorkspace WorkspaceIdent `json:"specialWorkspace"`
	Reserved         [4]int         `json:"reserved"`
	Scale            float64        `json:"scale"`
	Transform        int            `json:"transform"`
	Focused          bool           `json:"focused"`
	DPMSStatus       bool           `json:"dpmsStatus"`
	VRR              bool           `json:"vrr"`
	ActivelyTearing  bool           `json:"activelyTearing"`
}

func (m Monitor) String() string {
	data, _ := json.MarshalIndent(m, "", "\t")
	return string(data)
}
